Subject: Re: Supporting "-v" option for git-log

From: Jakub Narebski <[email-masked]>
Date: Wed, 25 May 2011 18:38:58 +0200

Dnia środa 25. maja 2011 17:11, Jeff King napisał:
> On Wed, May 25, 2011 at 06:53:31AM -0700, Jakub Narebski wrote:
> 
> > > Which is a shame, because we already have all of the code for "--and",
> > > "--or", and "--not" in git-grep. It is just a syntactic conflict. I
> > > think you could get away with "--grep-and", "--grep-or", and
> > > "--grep-not". They are obviously less nice to type, but there would be
> > > not conflict.
> > 
> > Hmmm... perhaps short -! could be alias for --grep-not (it is the only
> > that needs to be changed to avoid conflict, as there are no --or and
> > --and for rev-list).
> 
> Ick. I really hate using shell metacharacters that need quoting
> (especially "!", which even gets expanded inside double-quotes). But as
> long as it's an alias, I guess people who care can use --grep-not.

Yeah, I know.  Nevertheless '!' is natural to mean 'not', 
and `-\!` is still shorter than `--grep-not`.
 
-- 
Jakub Narebski
Poland